package cn.reghao.tnb.file.app.zorder.db;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.tnb.file.app.zorder.model.po.Order;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author reghao
 * @date 2024-04-16 10:56:47
 */
@Mapper
public interface OrderMapper extends BaseMapper<Order> {
    void updateOrderStatus(@Param("orderId") long orderId, @Param("status") int status);

    List<Order> findByOwner(int pageSize, long owner);
    Order findByOrderId(long orderId);
}
